Skip to main content
`Ctrl`+`K`

# SNESFASCycleIsFine

Determines if a given `SNES` is the finest level in a `SNESFAS`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASCycleIsFine(SNES snes, PetscBool *flg)

Logically Collective

## Input Parameter

- snes - the `SNESFAS` context obtained with `SNESFASGetCycleSNES()`

## Output Parameter

- flg - indicates if this is the fine level or not

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESFASSetLevels()`

## Level

advanced

## Location

src/snes/impls/fas/fasfunc.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages